Text messages
You can only send a text message up until 24 hours after receiving a message from the user. If you have not received a message from the user within this time, you will need to start a new conversation by sending a Template message.
Once you have the WhatsApp ID (wa_id discovered when checking the contact) for the user you want to message, use it to send a text message.
Specify text in the type field. A text message can be a maximum of 4096 characters long.
If the WABA is registered in On-premise API
Send a text message
POST https://waba.360dialog.io/v1/messages
To send a message, use the request URL and the following body parameters.
Request example
{
"recipient_type": "individual",
"to": "wa_id",
"type": "text",
"text": {
"body": "Hello, dear customer!"
}
}
Request Body
recipient_type
string
individual
to*
string
wa_id of the contact you want to message
type
string
text
text
object
contains body field
A successful response includes a messages object with an ID for the newly created message.
If the WABA is registered in Cloud API
Send a text message
POST https://waba-v2.360dialog.io/messages
To send a message, use the request URL and the following body parameters.
Request example
{
"messaging_product": "whatsapp",
"recipient_type": "individual",
"to": "PHONE_NUMBER",
"type": "text",
"text": {
"body": "Hello, dear customer!"
}
}
Request Body
recipient_type
string
individual
to
string
wa_idof the contact you want to message
type
string
text
text
object
contains body field
messaging_product
string
Required only for Cloud API.
Messaging service used for the request. Use "whatsapp".
A successful response includes a messages object with an ID for the newly created message.
Formatting in Text Messages
WhatsApp allows some formatting in messages. To format all or part of a message, use these formatting symbols:
Bold
Asterisk (*)
Your total is *$10.50*.
Italics
Underscore (_)
Welcome to _WhatsApp_!
Strike-through
Tilde (~)
This is ~better~ best!
Code
Three backticks (```)
```print 'Hello World';```
Sending URLs in Text Messages
By default, the mobile WhatsApp application recognizes URLs and makes them clickable. To include a URL preview, include "preview_url": true and make sure the URL begins with http:// or https://. A hostname is required, IP addresses are not matched.
If the WABA is registered in On-premise API
To use preview-url with the 360dialog On-Premise hosting, it must be sent as a top-level object:
Example:
If the WABA is registered in Cloud API
When sending preview-url with Cloud API hosting, the preview-url should be inside the text object.
Example:
The majority of the time when you send a URL, whether with a preview or not, the receiver of the message will see a URL that they can click on.
URL previews are only rendered after one of the following has happened:
The business has sent a message template to the user.
The user initiates a conversation with a "click to chat" link.
The user adds the business phone number to their address book and initiates a conversation.
If the end user did not initiate the conversation with you - you must use a Template message instead.
Last updated
Was this helpful?